Bug 809475 - network options on cmdline are ignored
network options on cmdline are ignored
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
Depends On:
Blocks: 809470
  Show dependency treegraph
Reported: 2012-04-03 09:19 EDT by Felix Miata
Modified: 2013-08-01 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 09:12:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2012-04-03 09:19:58 EDT
Starting HTTP installation via the following Grub Legacy stanza:

title Install Rawhide
    kernel (hd0,2)/fedora/vmlinuz repo=http://mirrors.us.kernel.org/fedora/development/17/i386/os
gateway= dns= graphical ip= netmask= hostname=gx28b noselinux noipv6 video=1152x864@60 vga=0x318 resolution=1024x768
    initrd (hd0,2)/fedora/initrd.img

GUI installation proceeds to:
1-fail to pick up hostname
2-configure IPV6
3-configure network to use DHCP instead of the provided fixed IP
4-obey (apparently) EDID rather than cmdline (set display to an illegible 1920x1440-most text appears to be a blurry actual 6pt or so)

Using boot.iso and manually entering the same network and display options produces the same unwanted results.

cf. bug 806974
Comment 1 Chris Lumens 2012-04-03 09:50:31 EDT
Please attach complete log files to this bug report.
Comment 2 Felix Miata 2012-04-03 10:09:35 EDT
Bug 808970 (forced format of / on subsequent install attempt) made them disappear. Another complete installation will be required to generate a fresh set as time permits.
Comment 3 Felix Miata 2012-04-03 17:09:55 EDT
I did another install and attached .tgz of logs to bug 808970 @ https://bugzilla.redhat.com/attachment.cgi?id=574982
Comment 4 Felix Miata 2012-05-29 12:13:44 EDT
That display options on cmdline are ignored duplicates bug 701190, so limiting summary to network options.
Comment 5 Fedora End Of Life 2013-07-04 00:20:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:13:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.